class Currency:
    def __init__(
        self, currency_id, currency_code=None, currency_a_name=None, currency_e_name=None,
        is_currency_name_feminine=None, english_currency_name=None,
        english_plural_currency_name=None, arabic_1_currency_name=None, arabic_2_currency_name=None,
        arabic_3_10_currency_name=None, arabic_11_99_currency_name=None, part_precision=None,
        is_currency_part_name_feminine=None, english_currency_part_name=None, english_plural_currency_part_name=None,
        arabic_1_currency_part_name=None, arabic_2_currency_part_name=None, arabic_3_10_currency_part_name=None,
        arabic_11_99_currency_part_name=None
    ):
        self.currency_id = currency_id
        self.currency_code = currency_code
        self.currency_a_name = currency_a_name
        self.currency_e_name = currency_e_name
        self.is_currency_name_feminine = is_currency_name_feminine
        self.english_currency_name = english_currency_name
        self.english_plural_currency_name = english_plural_currency_name
        self.arabic_1_currency_name = arabic_1_currency_name
        self.arabic_2_currency_name = arabic_2_currency_name
        self.arabic_3_10_currency_name = arabic_3_10_currency_name
        self.arabic_11_99_currency_name = arabic_11_99_currency_name
        self.part_precision = part_precision
        self.is_currency_part_name_feminine = is_currency_part_name_feminine
        self.english_currency_part_name = english_currency_part_name
        self.english_plural_currency_part_name = english_plural_currency_part_name
        self.arabic_1_currency_part_name = arabic_1_currency_part_name
        self.arabic_2_currency_part_name = arabic_2_currency_part_name
        self.arabic_3_10_currency_part_name = arabic_3_10_currency_part_name
        self.arabic_11_99_currency_part_name = arabic_11_99_currency_part_name

    def __str__(self):
        return str(self.currency_e_name)

currencies = [
    Currency(
        currency_id = 1,
        currency_code = 'USD',
        currency_a_name = 'دولار أمريكي',
        currency_e_name = 'US Dollar',
        is_currency_name_feminine = False,
        english_currency_name = 'US Dollar',
        english_plural_currency_name = 'US Dollars',
        arabic_1_currency_name = 'دولار أمريكي',
        arabic_2_currency_name = 'دولاران أمريكيان',
        arabic_3_10_currency_name = 'دولارات أمريكية',
        arabic_11_99_currency_name = 'دولاراً أمريكياً',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Cent',
        english_plural_currency_part_name = 'Cents',
        arabic_1_currency_part_name = 'سنت',
        arabic_2_currency_part_name = 'سنتان',
        arabic_3_10_currency_part_name = 'سنتات',
        arabic_11_99_currency_part_name = 'سنتاً',
    ),
    Currency(
        currency_id = 2,
        currency_code = 'SAR',
        currency_a_name = 'ريال سعودي',
        currency_e_name = 'Saudi Riyal',
        is_currency_name_feminine = False,
        english_currency_name = 'Saudi Riyal',
        english_plural_currency_name = 'Saudi Riyals',
        arabic_1_currency_name = 'ريال سعودي',
        arabic_2_currency_name = 'ريالان سعوديان',
        arabic_3_10_currency_name = 'ريالات سعودية',
        arabic_11_99_currency_name = 'ريالاً سعودياً',
        part_precision = 2,
        is_currency_part_name_feminine = True,
        english_currency_part_name = 'Halala',
        english_plural_currency_part_name = 'Halalas',
        arabic_1_currency_part_name = 'هللة',
        arabic_2_currency_part_name = 'هللتان',
        arabic_3_10_currency_part_name = 'هللات',
        arabic_11_99_currency_part_name = 'هللة',
    ),
    Currency(
        currency_id = 3,
        currency_code = 'BHD',
        currency_a_name = 'دينار بحريني',
        currency_e_name = 'Bahraini Dinar',
        is_currency_name_feminine = False,
        english_currency_name = 'Bahraini Dinar',
        english_plural_currency_name = 'Bahraini Dinars',
        arabic_1_currency_name = 'دينار بحريني',
        arabic_2_currency_name = 'ديناران بحرينيان',
        arabic_3_10_currency_name = 'دينارات بحرينية',
        arabic_11_99_currency_name = 'ديناراً بحرينياً',
        part_precision = 3,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Fils',
        english_plural_currency_part_name = 'Fils',
        arabic_1_currency_part_name = 'فلس',
        arabic_2_currency_part_name = 'فلسان',
        arabic_3_10_currency_part_name = 'فلوس',
        arabic_11_99_currency_part_name = 'فلساً',
    ),
    Currency(
        currency_id = 4,
        currency_code = 'XAU',
        currency_a_name = 'ذهب',
        currency_e_name = 'Gold',
        is_currency_name_feminine = False,
        english_currency_name = 'Gram',
        english_plural_currency_name = 'Grams',
        arabic_1_currency_name = 'جرام',
        arabic_2_currency_name = 'جرامان',
        arabic_3_10_currency_name = 'جرامات',
        arabic_11_99_currency_name = 'جراماً',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Milligram',
        english_plural_currency_part_name = 'Milligrams',
        arabic_1_currency_part_name = 'ملجرام',
        arabic_2_currency_part_name = 'ملجرامان',
        arabic_3_10_currency_part_name = 'ملجرامات',
        arabic_11_99_currency_part_name = 'ملجراماً',
    ),
    Currency(
        currency_id = 5,
        currency_code = 'AED',
        currency_a_name = 'درهم إماراتي',
        currency_e_name = 'UAE Dirham',
        is_currency_name_feminine = False,
        english_currency_name = 'UAE Dirham',
        english_plural_currency_name = 'UAE Dirhams',
        arabic_1_currency_name = 'درهم',
        arabic_2_currency_name = 'درهمان',
        arabic_3_10_currency_name = 'دراهم',
        arabic_11_99_currency_name = 'درهماً',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Fils',
        english_plural_currency_part_name = 'Fils',
        arabic_1_currency_part_name = 'فلس',
        arabic_2_currency_part_name = 'فلسان',
        arabic_3_10_currency_part_name = 'فلوس',
        arabic_11_99_currency_part_name = 'فلساً',
    ),
    Currency(
        currency_id = 6,
        currency_code = 'JOD',
        currency_a_name = 'دينار أردني',
        currency_e_name = 'Jordanian Dinar',
        is_currency_name_feminine = False,
        english_currency_name = 'Jordanian Dinar',
        english_plural_currency_name = 'Jordanian Dinars',
        arabic_1_currency_name = 'دينار أردني',
        arabic_2_currency_name = 'ديناران أردنيان',
        arabic_3_10_currency_name = 'دنانير أردنية',
        arabic_11_99_currency_name = 'ديناراً أردنياً',
        part_precision = 3,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Fils',
        english_plural_currency_part_name = 'Fils',
        arabic_1_currency_part_name = 'فلس',
        arabic_2_currency_part_name = 'فلسان',
        arabic_3_10_currency_part_name = 'فلوس',
        arabic_11_99_currency_part_name = 'فلساً',
    ),
    Currency(
        currency_id = 7,
        currency_code = 'SYP',
        currency_a_name = 'ليرة سورية',
        currency_e_name = 'Syrian Pound',
        is_currency_name_feminine = False,
        english_currency_name = 'Syrian Pound',
        english_plural_currency_name = 'Syrian Pounds',
        arabic_1_currency_name = 'ليرة سورية',
        arabic_2_currency_name = 'ليرتان سوريتان',
        arabic_3_10_currency_name = 'ليرات سورية',
        arabic_11_99_currency_name = 'ليرة سورية',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Piaster',
        english_plural_currency_part_name = 'Piasters',
        arabic_1_currency_part_name = 'قرش',
        arabic_2_currency_part_name = 'قرشان',
        arabic_3_10_currency_part_name = 'قروش',
        arabic_11_99_currency_part_name = 'قرشاً',
    ),
    Currency(
        currency_id = 8,
        currency_code = 'YER',
        currency_a_name = 'ريال يمني',
        currency_e_name = 'Yemeni Riyal',
        is_currency_name_feminine = False,
        english_currency_name = 'Yemeni Riyal',
        english_plural_currency_name = 'Yemeni Riyals',
        arabic_1_currency_name = 'ريال يمني',
        arabic_2_currency_name = 'ريالان يمنيان',
        arabic_3_10_currency_name = 'ريالات يمنية',
        arabic_11_99_currency_name = 'ريالاً يمنياً',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Fils',
        english_plural_currency_part_name = 'Fils',
        arabic_1_currency_part_name = 'فلس',
        arabic_2_currency_part_name = 'فلسان',
        arabic_3_10_currency_part_name = 'فلوس',
        arabic_11_99_currency_part_name = 'فلساً',
    ),
    Currency(
        currency_id = 9,
        currency_code = 'KWD',
        currency_a_name = 'دينار كويتي',
        currency_e_name = 'Kuwaiti Dinar',
        is_currency_name_feminine = False,
        english_currency_name = 'Kuwaiti Dinar',
        english_plural_currency_name = 'Kuwaiti Dinars',
        arabic_1_currency_name = 'دينار كويتي',
        arabic_2_currency_name = 'ديناران كويتيان',
        arabic_3_10_currency_name = 'دينارات كويتية',
        arabic_11_99_currency_name = 'ديناراً كويتياً',
        part_precision = 3,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Fils',
        english_plural_currency_part_name = 'Fils',
        arabic_1_currency_part_name = 'فلس',
        arabic_2_currency_part_name = 'فلسان',
        arabic_3_10_currency_part_name = 'فلوس',
        arabic_11_99_currency_part_name = 'فلساً',
    ),
    Currency(
        currency_id = 10,
        currency_code = 'EGP',
        currency_a_name = 'جنيه مصري',
        currency_e_name = 'Egyptian Pound',
        is_currency_name_feminine = False,
        english_currency_name = 'Egyptian Pound',
        english_plural_currency_name = 'Egyptian Pounds',
        arabic_1_currency_name = 'جنيه مصري',
        arabic_2_currency_name = 'جنيهان مصريان',
        arabic_3_10_currency_name = 'جنيهات مصرية',
        arabic_11_99_currency_name = 'جنيهاً مصرياً',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Piaster',
        english_plural_currency_part_name = 'Piasters',
        arabic_1_currency_part_name = 'قرش',
        arabic_2_currency_part_name = 'قرشان',
        arabic_3_10_currency_part_name = 'قروش',
        arabic_11_99_currency_part_name = 'قرشاً',
    ),
    Currency(
        currency_id = 11,
        currency_code = 'SDG',
        currency_a_name = 'جنيه سوداني',
        currency_e_name = 'Sudanese Pound',
        is_currency_name_feminine = False,
        english_currency_name = 'Sudanese Pound',
        english_plural_currency_name = 'Sudanese Pounds',
        arabic_1_currency_name = 'جنيه سوداني',
        arabic_2_currency_name = 'جنيهان سودانيان',
        arabic_3_10_currency_name = 'جنيهات سودانية',
        arabic_11_99_currency_name = 'جنيهاً سودانياً',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Piaster',
        english_plural_currency_part_name = 'Piasters',
        arabic_1_currency_part_name = 'قرش',
        arabic_2_currency_part_name = 'قرشان',
        arabic_3_10_currency_part_name = 'قروش',
        arabic_11_99_currency_part_name = 'قرشاً',
    ),
    Currency(
        currency_id = 12,
        currency_code = 'QAR',
        currency_a_name = 'ريال قطري',
        currency_e_name = 'Qatari Riyal',
        is_currency_name_feminine = False,
        english_currency_name = 'Qatari Riyal',
        english_plural_currency_name = 'Qatari Riyals',
        arabic_1_currency_name = 'ريال قطري',
        arabic_2_currency_name = 'ريالان قطريان',
        arabic_3_10_currency_name = 'ريالات قطرية',
        arabic_11_99_currency_name = 'ريالاً قطرياً',
        part_precision = 2,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Dirham',
        english_plural_currency_part_name = 'Dirhams',
        arabic_1_currency_part_name = 'درهم',
        arabic_2_currency_part_name = 'درهمان',
        arabic_3_10_currency_part_name = 'دراهم',
        arabic_11_99_currency_part_name = 'درهماً',
    ),
    Currency(
        currency_id = 13,
        currency_code = 'OMR',
        currency_a_name = 'ريال عماني',
        currency_e_name = 'Omani Riyal',
        is_currency_name_feminine = False,
        english_currency_name = 'Omani Riyal',
        english_plural_currency_name = 'Omani Riyals',
        arabic_1_currency_name = 'ريال عماني',
        arabic_2_currency_name = 'ريالان عمانيان',
        arabic_3_10_currency_name = 'ريالات عمانية',
        arabic_11_99_currency_name = 'ريالاً عمانياً',
        part_precision = 3,
        is_currency_part_name_feminine = False,
        english_currency_part_name = 'Baisa',
        english_plural_currency_part_name = 'Baisas',
        arabic_1_currency_part_name = 'بيسة',
        arabic_2_currency_part_name = 'بيستان',
        arabic_3_10_currency_part_name = 'بيسات',
        arabic_11_99_currency_part_name = 'بيسة',
    ),
]